<div class="container">

  <div class="window-container">
      <header class="window-header">
          <div class="logo-container">
              <div class="app-logo">
                  <svg class="app-logo-icon"><use href="#app-icon"></use></svg>
                  <span class="app-name">App Name</span>
              </div>
          </div>
          <div class="actions-container">
              <button class="go-back-window window-button-style">
                  <svg class="window-controls-icon"><use href="#window-back"></use></svg>
              </button>
              <button class="home-window window-button-style">
                  <svg class="window-controls-icon"><use href="#window-home"></use></svg>
              </button>
              <button class="settings-window window-button-style">
                  <svg class="window-controls-icon"><use href="#window-settings"></use></svg>
              </button>
              <button class="minimize-window window-button-style">
                  <svg class="window-controls-icon"><use href="#window-minimize"></use></svg>
              </button>
              <button class="close-window window-button-style">
                  <svg class="window-controls-icon"><use href="#window-close"></use></svg>
              </button>
          </div>
      </header>
      <main>
       <router-outlet></router-outlet>
      </main>
      <footer>

      </footer>
  </div>

</div>


<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">

  <symbol id="app-icon" viewBox="0 0 24 24">
      <path d="M3.74453 1.5L9.01095 5.49C6.94708 8.29 5.45255 11.51 4.88321 14.94L6.59124 14.59C6.50584 14.926 6.42044 15.5644 6.33504 16.2028C6.2781 16.6284 6.22117 17.054 6.16423 17.39C5.31022 16.62 4.31387 16.06 3.24635 15.64L2.25 12.7L4.4562 9.62L3.74453 1.5Z" fill="#D3CFE5"/>
      <path d="M10.7901 13.4L6.73358 11.37C7.58759 13.54 7.87226 13.82 10.7901 13.4Z" fill="#D3CFE5"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M20.2555 1.5L19.5438 9.62L21.75 12.7L20.7536 15.64C16.7991 17.1066 15.502 20.1415 14.7105 21.9934C14.6331 22.1744 14.5606 22.3441 14.4909 22.5H9.58029L8.93978 21.03C9.29562 17.6 11.2172 13.19 14.4197 9.9L11.8577 10.39C13.4322 6.4586 14.8007 5.46712 18.2434 2.97281C18.8463 2.53594 19.513 2.05295 20.2555 1.5ZM10.4343 18.58L12 20.82L13.5657 18.58H10.4343ZM13.1387 13.4L17.1953 11.37C16.3412 13.54 16.0566 13.82 13.1387 13.4Z" fill="#D3CFE5"/>
  </symbol>

    <!-- window controls icons 30px -->
  <symbol id="window-close" viewBox="0 0 30 30">
      <path d="M15.5941 15.0254L19.6535 10.8629C19.8515 10.6599 19.8515 10.3553 19.6535 10.1523C19.4554 9.94924 19.1584 9.94924 18.9604 10.1523L14.901 14.3147L10.8416 10.1523C10.6436 9.94924 10.3465 9.94924 10.1485 10.1523C9.95049 10.3553 9.95049 10.6599 10.1485 10.8629L14.2079 15.0254L10.1485 19.1878C9.95049 19.3909 9.95049 19.6954 10.1485 19.8985C10.2475 20 10.3465 20 10.5446 20C10.7426 20 10.8416 20 10.9406 19.8985L15 15.736L19.0594 19.8985C19.1584 20 19.2574 20 19.4554 20C19.6535 20 19.7525 20 19.8515 19.8985C20.0495 19.6954 20.0495 19.3909 19.8515 19.1878L15.5941 15.0254Z"/>
  </symbol>

  <symbol id="window-minimize" viewBox="0 0 30 30">
      <path d="M20 19H10V20H20V19Z"/>
  </symbol>

  <symbol id="window-home" viewBox="0 0 30 30">
      <path d="M22.809 13.1L15.009 8L7.20902 13.1C7.00902 13.3 6.90902 13.6 7.10902 13.8C7.30902 14 7.60902 14.1 7.80902 13.9L10.009 12.4V21.4C10.009 21.7 10.209 21.9 10.509 21.9C10.809 21.9 11.009 21.7 11.009 21.4V11.7L15.009 9.1L19.009 11.7V21.4C19.009 21.7 19.209 21.9 19.509 21.9C19.809 21.9 20.009 21.7 20.009 21.4V12.4L22.209 13.9C22.309 14 22.409 14 22.509 14C22.709 14 22.809 13.9 22.909 13.8C23.109 13.5 23.009 13.2 22.809 13.1Z" />
  </symbol>

  <symbol id="window-back" viewBox="0 0 30 30">
      <path d="M20 15.0049H10.8L15.1 9.80846C15.3 9.60859 15.2 9.3088 15 9.10894C14.8 8.90908 14.5 9.00901 14.3 9.20887L9 15.5045L14.3 21.8001C14.4 21.9001 14.5 22 14.7 22C14.8 22 14.9 22 15 21.9001C15.2 21.7002 15.2 21.4004 15.1 21.2006L10.8 16.0042H20V15.0049Z"/>
  </symbol>

  <symbol id="window-settings" viewBox="0 0 30 30">
      <path d="M22 16.3V13.7H19.8C19.7 13.3 19.5 12.9 19.3 12.5L20.9 10.9L19 9.1L17.4 10.7C17 10.5 16.6 10.3 16.2 10.2V8H13.6V10.2C13.2 10.3 12.8 10.5 12.4 10.7L11 9.1L9.1 11L10.7 12.6C10.5 13 10.3 13.4 10.2 13.8H8V16.4H10.2C10.3 16.8 10.5 17.2 10.7 17.6L9.1 19L10.9 20.8L12.5 19.2C12.9 19.4 13.3 19.6 13.7 19.7V22H16.3V19.8C16.7 19.7 17.1 19.5 17.5 19.3L19.1 20.9L20.9 19.1L19.3 17.5C19.5 17.1 19.7 16.7 19.8 16.3H22ZM15 17.8C13.5 17.8 12.2 16.6 12.2 15C12.2 13.5 13.4 12.2 15 12.2C16.6 12.2 17.8 13.4 17.8 15C17.8 16.5 16.5 17.8 15 17.8Z"/>
  </symbol>


</svg>



